View Issue Details

IDProjectCategoryView StatusLast Update
0002700Wishes.PluginsLuaMacro / Macro Browserpublic2015-02-01 00:42
ReporterJohnDoeAssigned Toshmuel 
PrioritynormalSeverityminorReproducibilityN/A
Status closedResolutionfixed 
Product Version 
Target VersionFixed in Version3.0 
Summary0002700: os.execute: поддержка юникода
DescriptionМодифицировать os.execute для поддержка юникода.
Additional InformationСуществующая win.ShellExecute не позволяет запускать приложения в текущей консоли.

Можно было бы реализовать win.ShellExecute или win.CreateProcess, но имхо для большинства задач достаточно и os.execute.
TagsNo tags attached.

Activities

JohnDoe

2015-01-31 15:07

updater   bugnote:0013469

win.system решает проблему, спасибо.
Но почему полностью не заменить os.execute?

shmuel

2015-02-01 00:39

developer   bugnote:0013470

> Но почему полностью не заменить os.execute?

Потому что другие функции библиотеки os не юникодные. В своё время было принято решение не трогать эту библиотеку.

Issue History

Date Modified Username Field Change
2014-06-10 13:26 JohnDoe New Issue
2015-01-31 15:07 JohnDoe Note Added: 0013469
2015-02-01 00:39 shmuel Note Added: 0013470
2015-02-01 00:42 shmuel Status new => closed
2015-02-01 00:42 shmuel Assigned To => shmuel
2015-02-01 00:42 shmuel Resolution open => fixed
2015-02-01 00:42 shmuel Fixed in Version => 3.0